Results 1 to 2 of 2
  1. #1
    Join Date
    Jul 2002

    downgrade mysql 4.1 to 4.0

    i have a mysql database in 4.1.16 i need to downgrade it to work in 4.0.

    in phpmyadmin, i use SQL export compatibility: mysql40 but i get an error when i run it on the server with 4.0 on it. does anyone know how i can fix it? how do i downgrade a database in 4.1 to run on 4.0?

    thank you

    the error is:

    SQL query:

    -- phpMyAdmin SQL Dump
    -- version 2.6.4-pl4
    -- Host: localhost
    -- Generation Time: Jan 17, 2007 at 10:57 PM
    -- Server version: 4.1.16
    -- PHP Version: 4.4.3
    -- Database: `wssw`
    CREATE DATABASE `wssw` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci

    MySQL said: Documentation
    #1064 - You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci' at line

  2. #2
    Join Date
    Jul 2003
    Goleta, CA
    Just remove all instances of that line

    'DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci

    and it should be ok

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts